package electrosphere.game.data.collidable;

/**
 * A template for a rigid body that should be attached to an entity
 */
public class CollidableTemplate {
    
    String type;
    
    float dimension1;
    float dimension2;
    float dimension3;

    float rotX;
    float rotY;
    float rotZ;
    float rotW;
    
    float offsetX;
    float offsetY;
    float offsetZ;

    /**
     * Controls whether the body can rotate or not
     */
    boolean angularlyStatic;

    public String getType() {
        return type;
    }

    public float getDimension1() {
        return dimension1;
    }

    public float getDimension2() {
        return dimension2;
    }

    public float getDimension3() {
        return dimension3;
    }

    public float getRotX(){
        return rotX;
    }
    
    public float getRotY(){
        return rotY;
    }

    public float getRotZ(){
        return rotZ;
    }

    public float getRotW(){
        return rotW;
    }

    public float getOffsetX() {
        return offsetX;
    }

    public float getOffsetY() {
        return offsetY;
    }

    public float getOffsetZ() {
        return offsetZ;
    }

    /**
     * Gets if the body should always be allowed to rotate or not
     * @return true if should always be allowed to rotate, false otherwise
     */
    public boolean isAngularlyStatic(){
        return this.angularlyStatic;
    }
    
    
    
}
